# Server

## List all servers

> Returns all bare metal servers in the specified project and region.

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server/list":{"get":{"summary":"List all servers","deprecated":false,"description":"Returns all bare metal servers in the specified project and region.","tags":["server"],"parameters":[{"name":"vpc_id","in":"path","description":"The unique identifier of the VPC where the server belongs","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The page number for pagination.","required":false,"schema":{"type":"integer","format":"int32","minimum":1}},{"name":"pageSize","in":"query","description":"The number of items per page.","required":false,"schema":{"type":"integer","format":"int32","minimum":1}}],"responses":{"200":{"description":"List Server","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique ID of the server."},"status":{"type":"string","description":"The status of the server."},"created_at":{"type":"string","description":"Timestamp indicating when the server was initially created."},"updated_at":{"type":"string","description":"Timestamp of the most recent update to the server."},"vpc_id":{"type":"string","description":"Unique ID of the VPC which the server is connected."},"name":{"type":"string","description":"Unique name of the server"},"private_ip":{"type":"string","description":"Private IP address"},"public_ip":{"type":"string","description":"Public IP address"},"network_name":{"type":"string","description":"The subnet name that is associated with the server."},"network_id":{"type":"string","description":"The subnet ID that is associated with the server."},"os":{"type":"string","description":"The OS image type that was selected to deploy the server. "},"distro":{"type":"string","description":"The OS image name that was selected to deploy the server."},"hpc_server_type":{"type":"string","description":"The server flavor was selected to deploy the server."},"meta_data":{"type":"string","description":"The metadata of the server."},"port_id":{"type":"string","description":"Port ID that was allocated to the Public IP"},"time_stamp":{"type":"string","description":"Timestamp indicating when the server information was retrieved or last synced."}},"required":["id","status","created_at","updated_at","vpc_id","name","private_ip","network_name","network_id","os","distro","hpc_server_type","time_stamp"]}},"total":{"type":"number","description":"Total number of server within the VPC."},"isSuccess":{"type":"boolean"},"error":{"type":"string"}}}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{}},"message":{"type":"string","description":"(optional) Reasons"}}}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}}}}}}}
```

## GET /api/v2/vmware/vpc/{vpc\_id}/hpc/server/{server\_id}/detail

> Get server details

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server/{server_id}/detail":{"get":{"summary":"Get server details","deprecated":false,"description":"","tags":["server"],"parameters":[{"name":"vpc_id","in":"path","description":"The unique identifier of the VPC where the server belongs.","required":true,"schema":{"type":"string"}},{"name":"server_id","in":"path","description":"The unique identifier of server","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Detail about server that have server id","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"data":{"type":"object","properties":{"id":{"type":"string","description":"The unique ID of the server."},"status":{"type":"string","description":"The status of the server."},"created_at":{"type":"string","description":"Timestamp indicating when the server was initially created."},"updated_at":{"type":"string","description":"Timestamp of the most recent update to the server."},"vpc_id":{"type":"string","description":"Unique ID of the VPC which the server is connected."},"name":{"type":"string","description":"Unique name of the server"},"private_ip":{"type":"string","description":"Private IP address"},"public_ip":{"type":"string","description":"Public IP address"},"network_name":{"type":"string","description":"The subnet name that is associated with the server."},"network_id":{"type":"string","description":"The subnet ID that is associated with the server."},"os":{"type":"string","description":"The OS image type that was selected to deploy the server. "},"distro":{"type":"string","description":"The OS image name that was selected to deploy the server."},"hpc_server_type":{"type":"string","description":"The server flavor was selected to deploy the server."},"meta_data":{"type":"string","description":"The metadata of the server."},"port_id":{"type":"string","description":"Port ID that was allocated to the Public IP"},"time_stamp":{"type":"string","description":"Timestamp indicating when the server information was retrieved or last synced."}},"required":["id","status","created_at","updated_at","vpc_id","name","private_ip","network_name","network_id","os","distro","hpc_server_type","time_stamp"]}}}}},"headers":{}},"400":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/400","description":"","headers":{}},"401":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/401","description":"","headers":{}},"404":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/404","description":"","headers":{}},"500":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/500","description":"","headers":{}}}}}}}
```

## Get server console URL

> Get the URL of the bare metal server to access the server via KVM console. Refers to <https://fptcloud.com/en/documents/metal-cloud/?doc=access-server>

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server/{server_id}/console":{"get":{"summary":"Get server console URL","deprecated":false,"description":"Get the URL of the bare metal server to access the server via KVM console. Refers to https://fptcloud.com/en/documents/metal-cloud/?doc=access-server","tags":["server"],"parameters":[{"name":"vpc_id","in":"path","description":"The unique identifier of the VPC where the server belongs.","required":true,"schema":{"type":"string"}},{"name":"server_id","in":"path","description":"The unique identifier of the server to manage in the FPT Cloud console.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get console url for that server id","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"console_url":{"type":"string","description":"The URL to access the server console."}}},"message":{"type":"string"}}}}},"headers":{}},"400":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/400","description":"","headers":{}},"401":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/401","description":"","headers":{}},"404":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/404","description":"","headers":{}},"500":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/500","description":"","headers":{}}}}}}}
```

## Create server (V2)

> You can create one or multiple servers using the following configuration options:\
> \| Parameter          | Type            | Required | Description                                                                                                                                                                             |\
> \| ------------------ | --------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |\
> \| \`server\_pack\`      | \`string\`        | ✅        | The flavor of the server pack to use. Selection depends on your \*\*region\*\* and \*\*quota\*\*.                                                                                               |\
> \| \`names\`            | \`array\[string]\` | ✅        | A list of \*\*unique server names\*\* within a VPC. The number of names determines how many servers will be created. Each name must match the regex pattern defined in \`SERVER\_NAME\_REGEX\`. |\
> \| \`os\`               | \`string\`        | ✅        | The OS image type. Must be either:\<br/>- \`custom\`: For your own custom images\<br/>- \`ubuntu\`: For FPT public images                                                                     |\
> \| \`distro\`           | \`object\`        | ✅        | The selected OS image in JSON format. \<br/>Example:\<br/>\`json\<br/>{ "name": "ubuntu", "title": "Ubuntu 20.04" }\<br/>\`                                                                   |\
> \| \`network\_id\`       | \`string\`        | ✅        | The subnet ID to associate with the server.                                                                                                                                             |\
> \| \`sshkey\`           | \`object\`        | ✅        | SSH key details in JSON format. \<br/>Example:\<br/>\`json\<br/>{ "name": "key\_name", "public\_key": "ssh-rsa..." }\<br/>\`\<br/>\*\*Default username:\*\* \`clouduser\`                              |\
> \| \`console\_password\` | \`string\`        | ❌        | The password to log in and access the server via SSH. Must match the regex defined in \`PASSWORD\_CONSOLE\_REGEX\`.\<br/>\*\*Default username:\*\* \`clouduser\`                                   |\
> \| \`user\_data\`        | \`string\`        | ❌        | User data scripts executed automatically on first boot using the \*\*cloud-init\*\* process.                                                                                                |\
> \| \`floating\_ip\`      | \`boolean\`       | ❌        | Attach a public IP to the server. Defaults to \`false\`.                                                                                                                                  |\
> \| \`raid\_type\`        | \`string\`        | ❌        | RAID disk configuration. Supported values:\<br/>- \`raid-0\`\<br/>- \`raid-1\`\<br/>- \`raid-5\`\<br/>- \`raid-6\`                                                                                  |\
> \| \`mount\_point\`      | \`string\`        | ❌        | Mount point path for attaching high-performance (file) storage to the server.                                                                                                           |

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server":{"post":{"summary":"Create server (V2)","deprecated":false,"description":"You can create one or multiple servers using the following configuration options:\n| Parameter          | Type            | Required | Description                                                                                                                                                                             |\n| ------------------ | --------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |\n| `server_pack`      | `string`        | ✅        | The flavor of the server pack to use. Selection depends on your **region** and **quota**.                                                                                               |\n| `names`            | `array[string]` | ✅        | A list of **unique server names** within a VPC. The number of names determines how many servers will be created. Each name must match the regex pattern defined in `SERVER_NAME_REGEX`. |\n| `os`               | `string`        | ✅        | The OS image type. Must be either:<br/>- `custom`: For your own custom images<br/>- `ubuntu`: For FPT public images                                                                     |\n| `distro`           | `object`        | ✅        | The selected OS image in JSON format. <br/>Example:<br/>`json<br/>{ \"name\": \"ubuntu\", \"title\": \"Ubuntu 20.04\" }<br/>`                                                                   |\n| `network_id`       | `string`        | ✅        | The subnet ID to associate with the server.                                                                                                                                             |\n| `sshkey`           | `object`        | ✅        | SSH key details in JSON format. <br/>Example:<br/>`json<br/>{ \"name\": \"key_name\", \"public_key\": \"ssh-rsa...\" }<br/>`<br/>**Default username:** `clouduser`                              |\n| `console_password` | `string`        | ❌        | The password to log in and access the server via SSH. Must match the regex defined in `PASSWORD_CONSOLE_REGEX`.<br/>**Default username:** `clouduser`                                   |\n| `user_data`        | `string`        | ❌        | User data scripts executed automatically on first boot using the **cloud-init** process.                                                                                                |\n| `floating_ip`      | `boolean`       | ❌        | Attach a public IP to the server. Defaults to `false`.                                                                                                                                  |\n| `raid_type`        | `string`        | ❌        | RAID disk configuration. Supported values:<br/>- `raid-0`<br/>- `raid-1`<br/>- `raid-5`<br/>- `raid-6`                                                                                  |\n| `mount_point`      | `string`        | ❌        | Mount point path for attaching high-performance (file) storage to the server.                                                                                                           |","operationId":"Create server","tags":["server"],"parameters":[{"name":"vpc_id","in":"path","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"server_pack":{"type":"string","format":"uuid","description":"UUID of the server flavor."},"names":{"type":"array","items":{"type":"string"},"description":"List server names. Each name must match the regex defined in `SERVER_NAME_REGEX`.","minItems":1,"minLength":1,"maxLength":63},"os":{"type":"string","description":"The OS image type. Must be either:`custom` for your own custom images `ubuntu` for FPT public images"},"distro":{"type":"string","description":" The selected OS image in JSON format. e.g., {\"name\": \"ubuntu\", \"title\": \"Ubuntu 20.04\"}\nThe name is required.","minLength":1},"network_id":{"type":"string","format":"uuid","description":"UUID of a subnet to which the server will be associated."},"sshkey":{"type":"string","description":"SSH key details in JSON format (e.g., `{\"name\": \"key_name\", \"public_key\": \"ssh-rsa...\"}`). Default username is clouduser","nullable":true},"console_password":{"type":"string","description":"Password to access the server via SSH. Must match the regex defined in `PASSWORD_CONSOLE_REGEX`. Default username is: clouduser","nullable":true},"user_data":{"type":"string","description":"User data for cloud-init configuration.","nullable":true},"floating_ip":{"type":"boolean","description":"Whether a floating IP will be assigned to the server. Defaults to `false`."},"raid_type":{"type":"string","description":"RAID configuration for the server. Supported values are `raid-0`, `raid-1`, `raid-5`, and `raid-6`.","nullable":true},"mount_point":{"type":"string","description":"Mount point for the server's storage.","nullable":true}},"required":["names","server_pack","os","distro","network_id"]}}}},"responses":{"201":{"description":"Created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"items":"string"},"message":"string"}}}},"headers":{}},"400":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/400","description":"","headers":{}},"401":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/401","description":"","headers":{}},"404":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/404","description":"","headers":{}},"500":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/500","description":"","headers":{}}}}}}}
```

## Create server (V1)

> You can create one or multiple servers using the following configuration options:\
> \| Parameter          | Type            | Required | Description                                                                                                                                                                             |\
> \| ------------------ | --------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |\
> \| \`serverPack\`      | \`string\`        | ✅        | The flavor of the server pack to use. Selection depends on your \*\*region\*\* and \*\*quota\*\*.                                                                                               |\
> \| \`names\`            | \`array\[string]\` | ✅        | A list of \*\*unique server names\*\* within a VPC. The number of names determines how many servers will be created. Each name must match the regex pattern defined in \`SERVER\_NAME\_REGEX\`. |\
> \| \`os\`               | \`string\`        | ✅        | The OS image type. Must be either:\<br/>- \`custom\`: For your own custom images\<br/>- \`ubuntu\`: For FPT public images                                                                     |\
> \| \`distro\`           | \`object\`        | ✅        | The selected OS image in JSON format. \<br/>Example:\<br/>\`json\<br/>{ "name": "ubuntu", "title": "Ubuntu 20.04" }\<br/>\`                                                                   |\
> \| \`networkId\`       | \`string\`        | ✅        | The subnet ID to associate with the server.                                                                                                                                             |\
> \| \`sshKey\`           | \`object\`        | ✅        | SSH key details in JSON format. \<br/>Example:\<br/>\`json\<br/>{ "name": "key\_name", "public\_key": "ssh-rsa..." }\<br/>\`\<br/>\*\*Default username:\*\* \`clouduser\`                              |\
> \| \`consolePassword\` | \`string\`        | ❌        | The password to log in and access the server via SSH. Must match the regex defined in \`PASSWORD\_CONSOLE\_REGEX\`.\<br/>\*\*Default username:\*\* \`clouduser\`                                   |\
> \| \`userData\`        | \`string\`        | ❌        | User data scripts executed automatically on first boot using the \*\*cloud-init\*\* process.                                                                                                |\
> \| \`floatingIp\`      | \`boolean\`       | ❌        | Attach a public IP to the server. Defaults to \`false\`.                                                                                                                                  |\
> \| \`raidType\`        | \`string\`        | ❌        | RAID disk configuration. Supported values:\<br/>- \`raid-0\`\<br/>- \`raid-1\`\<br/>- \`raid-5\`\<br/>- \`raid-6\`                                                                                  |\
> \| \`mountPoint\`      | \`string\`        | ❌        | Mount point path for attaching high-performance (file) storage to the server.                                                                                                           |

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server/create":{"post":{"summary":"Create server (V1)","deprecated":true,"description":"You can create one or multiple servers using the following configuration options:\n| Parameter          | Type            | Required | Description                                                                                                                                                                             |\n| ------------------ | --------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |\n| `serverPack`      | `string`        | ✅        | The flavor of the server pack to use. Selection depends on your **region** and **quota**.                                                                                               |\n| `names`            | `array[string]` | ✅        | A list of **unique server names** within a VPC. The number of names determines how many servers will be created. Each name must match the regex pattern defined in `SERVER_NAME_REGEX`. |\n| `os`               | `string`        | ✅        | The OS image type. Must be either:<br/>- `custom`: For your own custom images<br/>- `ubuntu`: For FPT public images                                                                     |\n| `distro`           | `object`        | ✅        | The selected OS image in JSON format. <br/>Example:<br/>`json<br/>{ \"name\": \"ubuntu\", \"title\": \"Ubuntu 20.04\" }<br/>`                                                                   |\n| `networkId`       | `string`        | ✅        | The subnet ID to associate with the server.                                                                                                                                             |\n| `sshKey`           | `object`        | ✅        | SSH key details in JSON format. <br/>Example:<br/>`json<br/>{ \"name\": \"key_name\", \"public_key\": \"ssh-rsa...\" }<br/>`<br/>**Default username:** `clouduser`                              |\n| `consolePassword` | `string`        | ❌        | The password to log in and access the server via SSH. Must match the regex defined in `PASSWORD_CONSOLE_REGEX`.<br/>**Default username:** `clouduser`                                   |\n| `userData`        | `string`        | ❌        | User data scripts executed automatically on first boot using the **cloud-init** process.                                                                                                |\n| `floatingIp`      | `boolean`       | ❌        | Attach a public IP to the server. Defaults to `false`.                                                                                                                                  |\n| `raidType`        | `string`        | ❌        | RAID disk configuration. Supported values:<br/>- `raid-0`<br/>- `raid-1`<br/>- `raid-5`<br/>- `raid-6`                                                                                  |\n| `mountPoint`      | `string`        | ❌        | Mount point path for attaching high-performance (file) storage to the server.                                                                                                           |","operationId":"Create server","tags":["server"],"parameters":[{"name":"vpc_id","in":"path","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"names":{"type":"array","items":{"type":"string"},"description":"List of server names. Each name must match the regex defined in `SERVER_NAME_REGEX`.","minItems":1,"minLength":1,"maxLength":63},"raidType":{"type":"string","description":"RAID configuration for the server. Supported values are `raid-0`, `raid-1`, `raid-5`, and `raid-6`.","nullable":true},"serverPack":{"type":"string","format":"uuid","description":"UUID of the server type."},"os":{"type":"string","description":"OS image type for the server. Must be either `custom` or `ubuntu`."},"distro":{"type":"string","description":"Image name (distribution details) in JSON format (e.g., {\"name\": \"ubuntu\", \"title\": \"Ubuntu 20.04\"}).","minLength":1},"networkId":{"type":"string","format":"uuid","description":"UUID of the network to which the server will be connected."},"sshKey":{"type":"string","description":"SSH key details in JSON format (e.g., `{\"name\": \"key_name\", \"public_key\": \"ssh-rsa...\"}`). Default username is: clouduser","nullable":true},"consolePassword":{"type":"string","description":"Console password for the server. Must match the regex defined in `PASSWORD_CONSOLE_REGEX`. Default username is: clouduser","nullable":true},"userData":{"type":"string","description":"User data for cloud-init configuration.","nullable":true},"floatingIp":{"type":"boolean","description":"Whether a floating IP will be assigned to the server. Defaults to `false`."},"mountPoint":{"type":"string","description":"Mount point for the server's storage.","nullable":true}},"required":["names","serverPack","os","distro","networkId"]}}}},"responses":{"201":{"description":"Created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"items":"string"},"message":"string"}}}},"headers":{}},"400":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/400","description":"","headers":{}},"401":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/401","description":"","headers":{}},"404":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/404","description":"","headers":{}},"500":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/500","description":"","headers":{}}}}}}}
```

## Rename a server (Portal name)

> Change the display name of a specified server in the FPT Cloud console. \
> Name limits up to 63 characters, and only letters, numbers, and dashes are allowed

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server/{server_id}/rename":{"post":{"summary":"Rename a server (Portal name)","deprecated":false,"description":"Change the display name of a specified server in the FPT Cloud console. \nName limits up to 63 characters, and only letters, numbers, and dashes are allowed","tags":["server"],"parameters":[{"name":"server_id","in":"path","description":"The unique identifier of the server to manage in the FPT Cloud console.","required":true,"schema":{"type":"string"}},{"name":"vpc_id","in":"path","description":"The unique identifier of the VPC where the server belongs.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The new server name."}}}}}},"responses":{"200":{"description":"Update a server successfully","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"error":{"type":"string"}}}}},"headers":{}},"400":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/400","description":"","headers":{}},"401":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/401","description":"","headers":{}},"404":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/404","description":"","headers":{}},"500":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/500","description":"","headers":{}}}}}}}
```

## Power on a server

> Start a powered-off server.

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server/{server_id}/powered-on":{"post":{"summary":"Power on a server","deprecated":false,"description":"Start a powered-off server.","tags":["server"],"parameters":[{"name":"server_id","in":"path","description":"The unique identifier of the server to manage in the FPT Cloud console.","required":true,"schema":{"type":"string"}},{"name":"vpc_id","in":"path","description":"The unique identifier of the VPC where the server belongs.","required":true,"schema":{"type":"string"}}],"responses":{"202":{"description":"Power on server request is accepted","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{}},"message":{"type":"string"}}}}},"headers":{}},"400":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/400","description":"","headers":{}},"401":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/401","description":"","headers":{}},"404":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/404","description":"","headers":{}},"500":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/500","description":"","headers":{}}}}}}}
```

## Power off a server

> Shut down the running server.

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server/{server_id}/powered-off":{"post":{"summary":"Power off a server","deprecated":false,"description":"Shut down the running server.","tags":["server"],"parameters":[{"name":"server_id","in":"path","description":"The unique identifier of the server to manage in the FPT Cloud console.","required":true,"schema":{"type":"string"}},{"name":"vpc_id","in":"path","description":"The unique identifier of the VPC where the server belongs.","required":true,"schema":{"type":"string"}}],"responses":{"202":{"description":"Power off server request is accepted","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{}},"message":{"type":"string"}}}}},"headers":{}},"400":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/400","description":"","headers":{}},"401":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/401","description":"","headers":{}},"404":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/404","description":"","headers":{}},"500":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/500","description":"","headers":{}}}}}}}
```

## Delete a server

> Deleting a server permanently erases all data on its disks and cannot be undone. Ensure you are deleting the correct server.

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/{vpc_id}/hpc/server/{server_id}":{"delete":{"summary":"Delete a server","deprecated":false,"description":"Deleting a server permanently erases all data on its disks and cannot be undone. Ensure you are deleting the correct server.","tags":["server"],"parameters":[{"name":"vpc_id","in":"path","description":"The unique identifier of the VPC where the server belongs.","required":true,"schema":{"type":"string"}},{"name":"server_id","in":"path","description":"The unique identifier of the server to manage in the FPT Cloud console.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"isReleaseFloatingIp":{"type":"boolean","description":"True: Allows deleting the server along with its associated public IP. False: Deletes the server but retains the public IP."}}}}}},"responses":{"202":{"description":"Delete request be accepted","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{}},"message":{"type":"string"}}}}},"headers":{}},"400":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/400","description":"","headers":{}},"401":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/401","description":"","headers":{}},"404":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/404","description":"","headers":{}},"500":{"$ref":"#/paths/~1vpc~1%7Bvpc_id%7D~1hpc~1server~1list/get/responses/500","description":"","headers":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ai-docs.fptcloud.com/api-reference/ai-infrastructure/metal-cloud/server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
